#!/usr/bin/tcl
#
# Travis Veldkamp
# December 2002

# Show an example of how to use the LCDlib

set LCDDevice "/dev/lcd"
set Char0File "char0.lcd"

source "lcdlib.tcl"
source "lcdgrid.tcl"
#package require lcdlib.tcl 1.0

if [LCD::Open $LCDDevice] {

   LCD::Clear
   LCD::CursorHome

   if [LCDGrid::Load $Char0File] {
      for {set idx 1} {$idx <= LCDGrid::GetHeight} {incr idx} {
         set byte($idx) [LCDGrid::GetByte $idx]
      }
      LCD::PgmCustom 0 $byte(1) $byte(2) $byte(3) $byte(4) $byte(5) $byte(6) $byte(7) $byte(8)
      LCD::SendCustom 0
   } else {
      puts "Error: failed to open character 0 file"
   }

   LCD::CursorDown
   LCD::SendString "Hello World"

   LCD::Close
} else {
   puts "Error - unable to connect to LCD"
}
